/*
 * AppDialogs.h
 *
 *	Written by:	Rob Langhorne, with changes by David Fedor
 * 
 *	Copyright:	 1995-1996 by Apple Computer, Inc.  All rights reserved.
 *
 *	Purpose:
 *    #defines for AppDialogs.c
 */
 
 
#ifndef __AppDialogs_H
#define __AppDialogs_H


#define kSplashDialog 		128
#define	kInputDialog		129
#define kAboutDialog		201
#define kInfoDialog			203

#define OK				1
#define CANCEL			2
#define	INPUT_TEXT		3		/*	Text item					*/
#define LABEL			4

void		DisplayAlert(int which);
void		PostAlertMessage(char*a, char*b, char*c, char*d);
Boolean		inputDialog(char *inputText, char* initString, char* label);
void		ShowSplash(DialogPtr *splash) ;
void		HideSplash(DialogPtr splash) ;

#endif
