##### SoupDrinkMPW makefile #####
#
# Created by David Fedor, nothing special but it works.
# Copyright 1995-1996 Apple Computer, Inc.  All rights reserved.
#
# To build SoupDrink, set SRCPATH (below) to the directory of your source files,
# and execute the following commands:
#    make SoupDrinkMPW -f SoupDrinkMPW.make > MakeOut 
#    MakeOut
#
#### update this with the path to your source directory (spaces are probably bad...)
SRCPATH = Innards:DILs:SoupDrink:

OBJECTS = 
		"{SRCPATH}"AppDialogs.c.o 
		"{SRCPATH}"SoupDrink.c.o 
		"{SRCPATH}"Engine.c.o


### these say how to compile the .c files...
"{SRCPATH}"AppDialogs.c.o  SoupDrinkMPW.make "{SRCPATH}"AppDialogs.c
	 C -model far -r  "{SRCPATH}"AppDialogs.c
"{SRCPATH}"Engine.c.o  SoupDrinkMPW.make "{SRCPATH}"Engine.c
	 C -model far -r  "{SRCPATH}"Engine.c
"{SRCPATH}"SoupDrink.c.o  SoupDrinkMPW.make "{SRCPATH}"SoupDrink.c
	 C -model far -r  "{SRCPATH}"SoupDrink.c


### this links the .o files together...
SoupDrinkMPW  SoupDrinkMPW.make  {OBJECTS}
	Link -model far -t APPL -c dpip 
		{OBJECTS} 
		"{Libraries}"CPlusLib.o 
		"{CLibraries}"StdClib.o 
 		"{Libraries}"Runtime.o 
 		"{Libraries}"Interface.o 
		"{SRCPATH}"HLFDIL.MPW.Lib 
		-o SoupDrinkMPW


### these create a .r file from the .rsrc file, and use that .r to create the APPL
"{SRCPATH}"SoupDrink.r  "{SRCPATH}"SoupDrink.rsrc
	DeRez "{SRCPATH}"SoupDrink.rsrc > "{SRCPATH}"SoupDrink.r
SoupDrinkMPW  "{SRCPATH}"SoupDrink.r
	Rez -rd -o SoupDrinkMPW "{SRCPATH}"SoupDrink.r -append

