/*
	File:		SoupDrink.h

	Contains:	Definitions for Macintosh SoupDrink, the DIL sample application

	Written by:	Rob Langhorne, mods by David Fedor

	Copyright:	 1995-1996 by Apple Computer, Inc.  All rights reserved.

*/

/*
**	Menu item definitions
*/
#define kMBarID				128
#define kAppleMenu			128
#define kFileMenu			129
#define kEditMenu			130
#define kTestMenu			131
#define kPortMenu			132
#define kFnMenu				133

// the TestScripts menu
#define kSoupDrinkItem		1
#define kNewNameItem		2

// the Config (Port) menu
#define kSerialTool			1
#define kModemTool			2
#define kADSPTool			3
#define kIRTool				4
#define kFirstPortItem		6

// the Functions menu
#define kFInitItem			1
#define kFListenItem		2
#define kFAcceptItem		3
#define kFAbortItem			4
#define kFDiscItem			5
#define kFReadItem			7
#define kFCountItem			8
#define kFWriteItem			9
#define kFGetStateItem		11
#define kFSetStateItem		12
#define kToggleEncryption	14
#define kToggleByteSwap		15
#define kToggleUnicode		16
#define kExpertModeToggle	18

#define kOurTimeoutError	-1 

/******	Function prototypes  *******/
OSErr           InitializePipe ();
void		PostAlertMessage(char*a, char*b, char*c, char*d);
Boolean		inputDialog(char *inputText, char* initString, char* label);
